package kz.konturai.parser.exception;

import lombok.Getter;

@Getter
public class ValidationException extends RuntimeException {

    private final String field;
    private final Object value;

    public ValidationException(String field, Object value, String message) {
        super(message);
        this.field = field;
        this.value = value;
    }

    public ValidationException(String message) {
        super(message);
        this.field = null;
        this.value = null;
    }
}
